FREE(1)

NAME
free - Display amount of free and used memory in the system

SYNOPSIS
free [options]

DESCRIPTION
free displays the total amount of free and used physical and swap memory in the system, as well as the buffers and caches used by the kernel. The information is gathered by parsing /proc/meminfo. The displayed columns are:

total
    Total installed memory (MemTotal and SwapTotal in /proc/meminfo)

used
    Used memory (calculated as total - free - buffers - cache)

free
    Unused memory (MemFree and SwapFree in /proc/meminfo)

shared
    Memory used (mostly) by tmpfs (Shmem in /proc/meminfo, available on kernels 2.6.32, displayed as zero if not available)

buffers
    Memory used by kernel buffers (Buffers in /proc/meminfo)

cache
    Memory used by the page cache and slabs (Cached and Slab in /proc/meminfo)

buff/cache
    Sum of buffers and cache

available
    Estimation of how much memory is available for starting new applications, without swapping. Unlike the data provided by the cache or free fields, this field takes into account page cache and also that not all reclaimable memory slabs will be reclaimed due to items being in use (MemAvailable in /proc/meminfo, available on kernels 3.14, emulated on kernels 2.6.27+, otherwise the same as free)

OPTIONS

-b, --bytes
    Display the amount of memory in bytes.

-k, --kilo
    Display the amount of memory in kilobytes. This is the default.

-m, --mega
    Display the amount of memory in megabytes.

-g, --giga
    Display the amount of memory in gigabytes.

--tera
    Display the amount of memory in terabytes.

-h, --human
    Show all output fields automatically scaled to shortest three digit unit and display the units of print out. Following units are used.

      B = bytes
      K = kilos
      M = megas
      G = gigas
      T = teras

    If unit is missing, and you have petabyte of RAM or swap, the number is in terabytes and columns might not be aligned with header.

-w, --wide
    Switch to the wide mode. The wide mode produces lines longer than 80 characters. In this mode buffers and cache are reported in two separate columns.

-c, --count count
    Display the result count times. Requires the -s option.

-l, --lohi
    Show detailed low and high memory statistics.

-s, --seconds seconds
    Continuously display the result delay seconds apart. You may actually specify any floating point number for delay, usleep(3) is used for microsecond resolution delay times.

--si
    Use power of 1000 not 1024.

-t, --total
    Display a line showing the column totals.

--help
    Print help.

-V, --version
    Display version information.

FILES

/proc/meminfo
    memory information

SEE ALSO
ps(1), slabtop(1), top(1), vmstat(8).

AUTHORS
Written by Brian Edmonds.

REPORTING BUGS
Please send bug reports to procps@freelists.org